#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <newwin000.h>
#include <WSCmessageDialog.h>

void btnop(WSCbase* object){
  long ret = newwiza_000->popup();
  if (ret == WS_DIALOG_DONE){
    WSGIappMessageDialog()->setProperty(WSNlabelString,"DONE was selected..");
    WSGIappMessageDialog()->setProperty(WSNwidth,400);
    WSGIappMessageDialog()->setProperty(WSNheight,125);
    WSGIappMessageDialog()->popup();
  }else
  if (ret == WS_DIALOG_CANCEL){
    WSGIappMessageDialog()->setProperty(WSNlabelString,"CANCEL was selected..");
    WSGIappMessageDialog()->setProperty(WSNwidth,400);
    WSGIappMessageDialog()->setProperty(WSNheight,125);
    WSGIappMessageDialog()->popup();
  }
}
static WSCfunctionRegister  op("btnop",(void*)btnop);
